package com.gingersoft.gsa.cloud.base.utils.time;

import android.content.Context;
import android.graphics.Color;

import com.bigkoo.pickerview.TimePickerView;

import java.util.Calendar;

/**
 * Created by Wyh on 2020/2/28.
 * 時間選擇工具類
 */
public class TimePickerUtils {

    /**
     * 顯示報表頁面時間選擇樣式
     * @param mContext
     * @param defaultTime          默認選中時間
     * @param onTimeSelectListener 選中時間回調
     */
    public static TimePickerView showReportTimePicker(Context mContext, Calendar defaultTime, TimePickerView.OnTimeSelectListener onTimeSelectListener) {
        //獲取今年第一天的日期
        Calendar cal = Calendar.getInstance();
        cal.set(Calendar.DAY_OF_YEAR, cal.getActualMinimum(Calendar.DAY_OF_YEAR));
        //打開時間選擇器
        TimePickerView pvTime = new TimePickerView.Builder(mContext, onTimeSelectListener)
                .setType(TimePickerView.Type.YEAR_MONTH_DAY)//默认全部显示
                .setCancelText("取消")//取消按钮文字
                .setSubmitText("確認")//确认按钮文字
                .setContentSize(20)//滚轮文字大小
                .setTitleSize(20)//标题文字大小
//                        .setTitleText("请选择时间")//标题文字
                .setOutSideCancelable(true)//点击屏幕，点在控件外部范围时，是否取消显示
                .isCyclic(false)//是否循环滚动
                .setTextColorCenter(Color.BLACK)//设置选中项的颜色
                .setTitleColor(Color.BLACK)//标题文字颜色
                .setSubmitColor(Color.BLUE)//确定按钮文字颜色
                .setCancelColor(Color.BLUE)//取消按钮文字颜色
//                        .setTitleBgColor(0xFF666666)//标题背景颜色 Night mode
//                        .setBgColor(0xFF333333)//滚轮背景颜色 Night mode
                .setRange(Calendar.getInstance().get(Calendar.YEAR), Calendar.getInstance().get(Calendar.YEAR))
//                        .setDate(selectedDate)// 如果不设置的话，默认是系统时间*/
                .setRangDate(cal, Calendar.getInstance())//時間是今年第一天到今天
                .setLabel("", "", "", "", "", "")
                .isCenterLabel(false) //是否只显示中间选中项的label文字，false则每项item全部都带有label。
//                        .isDialog(true)//是否显示为对话框样式
                .build();
        //設置默認選中時間
        pvTime.setDate(defaultTime);//注：根据需求来决定是否使用该方法（一般是精确到秒的情况），此项可以在弹出选择器的时候重新设置当前时间，避免在初始化之后由于时间已经设定，导致选中时间与当前时间不匹配的问题。
        pvTime.show();
        return pvTime;
    }

}
